org.apache.ignite.cache.query

## Class SpiQuery

- java.lang.Object
- - org.apache.ignite.cache.query.Query<SpiQuery>
  - - org.apache.ignite.cache.query.SpiQuery

All Implemented Interfaces:
  Serializable

    public final class SpiQuery
    extends Query<SpiQuery>

Query to be used by `IndexingSpi` implementations.

See Also:
  `IgniteCache.query(Query)`, `IgniteCache.localQuery(Query)`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SpiQuery()`

### Method Summary

Methods
`Object[]` `getArgs()` Gets SQL arguments.
`SpiQuery` `setArgs(Object... args)` Sets SQL arguments.
`String` `toString()`

### Methods inherited from class org.apache.ignite.cache.query.Query

`continuous, getPageSize, scan, setPageSize, spi, sql, sql, text`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SpiQuery

    public SpiQuery()

### Method Detail

#### getArgs

    public Object[] getArgs()

Gets SQL arguments.

Returns:
  SQL arguments.

#### setArgs

    public SpiQuery setArgs(Object... args)

Sets SQL arguments.

Parameters:
  `args` - SQL arguments.
Returns:
  `this` For chaining.

#### toString

    public String toString()

Overrides:
  `toString` in class `Query<SpiQuery>`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015